diff -Nur Filezilla3/src/interface/Mainfrm.cpp Filezilla3.patch/src/interface/Mainfrm.cpp
--- Filezilla3/src/interface/Mainfrm.cpp	Mon Sep 24 21:49:26 2007
+++ Filezilla3.patch/src/interface/Mainfrm.cpp	Mon Sep 24 21:49:58 2007
@@ -911,6 +911,8 @@
 		return;
 	}
 
+	SetLabel(_T("FileZilla"));
+
 	CServer server;
 	event.Enable(COptions::Get()->GetLastServer(server));
 }
@@ -930,6 +932,8 @@
 			return;
 	}
 
+	SetLabel(_T("FileZilla - ") + server.FormatServer());
+
 	CServerPath path;
 	path.SetSafePath(COptions::Get()->GetOption(OPTION_LASTSERVERPATH));
 	m_pState->Connect(server, false, path);
@@ -1455,6 +1459,8 @@
 		if (!CLoginManager::Get().GetPassword(pData->m_server, false, pData->m_name))
 			return;
 	}
+
+	SetLabel(_T("FileZilla - ") + pData->m_server.FormatServer());
 
 	m_pState->Connect(pData->m_server, true, pData->m_remoteDir);
 
diff -Nur Filezilla3/src/interface/quickconnectbar.cpp Filezilla3.patch/src/interface/quickconnectbar.cpp
--- Filezilla3/src/interface/quickconnectbar.cpp	Mon Sep 24 21:49:26 2007
+++ Filezilla3.patch/src/interface/quickconnectbar.cpp	Mon Sep 24 21:56:46 2007
@@ -108,6 +108,9 @@
 		return;
 	}
 
+	if (GetParent() != NULL)
+		GetParent()->SetLabel(_T("FileZilla - ") + server.FormatServer());
+
 	if (!m_pState->Connect(server, true))
 		return;
 
